Subject: Re: bug#32956: 26.1.50; t-m-m mark deactivation documentation

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Oct 2018 19:39:57 +0300

> Date: Sat, 06 Oct 2018 16:19:55 +0200
> From: [email-masked] (Charles A. Roelli)
> 
> In light of this, here's a change for review on emacs-26:
> 
> diff --git a/lisp/simple.el b/lisp/simple.el
> index d5674aa..8bbafe4 100644
> --- a/lisp/simple.el
> +++ b/lisp/simple.el
> @@ -5793,10 +5793,10 @@ transient-mark-mode
>  
>  Transient Mark mode is a global minor mode.  When enabled, the
>  region is highlighted with the `region' face whenever the mark
> -is active.  The mark is \"deactivated\" by changing the buffer,
> -and after certain other operations that set the mark but whose
> -main purpose is something else--for example, incremental search,
> -\\[beginning-of-buffer], and \\[end-of-buffer].
> +is active.  The mark is \"deactivated\" after certain non-motion
> +commands, including those that change the text in the buffer, and
> +during shift or mouse selection by any unshifted cursor motion
> +command (see Info node `Shift Selection' for more details).
>  
>  You can also deactivate the mark by typing \\[keyboard-quit] or
>  \\[keyboard-escape-quit].

Fine with me (but do please make similar changes in the ELisp manual).